MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021713Community[OCCT] OCCT:Visualizationpublic2010-04-23 11:052012-12-26 11:29
Reportersan 
Assigned To 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.4.0 
Summary0021713: [OCC Forum]Incorrect decimal separator in GL2PS export on Linux
DescriptionThis is a bug report from OCCT forum:
http://www.opencascade.org/org/forum/thread_18451/ [^]

=======================================================

For the sample, when I'm try to extract PostScript Image from my GL widget I'm
found there lines like this:

/rThreshold 0,032 def % red component subdivision threshold
/gThreshold 0,017 def % green component subdivision threshold
/bThreshold 0,05 def % blue component subdivision threshold

And this PS file is wrong. Under Windows this lines is like:

/rThreshold 0.032 def % red component subdivision threshold
/gThreshold 0.017 def % green component subdivision threshold
/bThreshold 0.05 def % blue component subdivision threshold

After replace all "," with "." PostScript file is Working under Linux.
Additional information
and documentation updates
Documentation remark, added by psn 2010-08-27 12:32:56:

Improvements:
New OSD_Localizer class allows to change the system locale.


Changes:
In OCCT code before calling gl2ps export command, set locale with standard
POSIX attribute. After calling restore previously locale settings.

Modified entities:
========================================
OpenGl package :
OpenGl_GraphicDriver_Export.cxx
========================================
OSD package :
"m" OSD.cdl
"m" OSD.cxx
"+" OSD_Localizer.cxx
"+" OSD_Localizer.cdl
"m" files
========================================
TagsNo tags attached.
Test case number
Attached Filesgz file icon psn_OCC21713_v1.tar.gz (14,972 bytes) 2010-08-27 14:32
gz file icon psn_OCC21713_v2.tar.gz (1,113 bytes) 2010-09-02 10:38

- Relationships
related to 0022898closedabv IGES import fails in german environment 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-04-23 11:07 san CC => szv, inv, abv
2010-04-23 11:55 san CC => vsr
2010-05-13 16:19 bugmaster Assigned To bugmaster => san
2010-05-13 16:19 bugmaster Status new => assigned
2010-08-26 19:04 san CC =>
2010-08-26 19:04 san Assigned To san => psn
2010-08-27 14:41 psn Status assigned => resolved
2010-08-30 13:38 bugmaster Status resolved => verified
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-12-15 16:24 abv Assigned To psn =>
2011-12-15 16:24 abv Description Updated View Revisions
2011-12-15 16:24 abv Additional Information Updated View Revisions
2011-12-15 16:26 abv Project Open CASCADE => Community
2012-12-26 11:29 san Relationship added related to 0022898


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker